Update top up offer
curl --request PATCH \
--url https://api.lolboost.gg/api/v1/top-ups/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "TOPUP-EUW-1000-001",
"game": "league-of-legends",
"game_name": "League of Legends",
"service_label": "Top Ups",
"offer_key": "1000-coins",
"offer_title": "1000 Coins",
"offer_amount": 1000,
"offer_unit": "Coins",
"region": "EU",
"platform": "PC",
"price": 999,
"currency": "EUR",
"stock": 999,
"min_quantity": 1,
"waiting_time_value": 10,
"waiting_time_unit": "minutes",
"instructions": "<string>",
"image": "<string>",
"active": true,
"status": "listed"
}
'import requests
url = "https://api.lolboost.gg/api/v1/top-ups/{identifier}"
payload = {
"external_id": "TOPUP-EUW-1000-001",
"game": "league-of-legends",
"game_name": "League of Legends",
"service_label": "Top Ups",
"offer_key": "1000-coins",
"offer_title": "1000 Coins",
"offer_amount": 1000,
"offer_unit": "Coins",
"region": "EU",
"platform": "PC",
"price": 999,
"currency": "EUR",
"stock": 999,
"min_quantity": 1,
"waiting_time_value": 10,
"waiting_time_unit": "minutes",
"instructions": "<string>",
"image": "<string>",
"active": True,
"status": "listed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'TOPUP-EUW-1000-001',
game: 'league-of-legends',
game_name: 'League of Legends',
service_label: 'Top Ups',
offer_key: '1000-coins',
offer_title: '1000 Coins',
offer_amount: 1000,
offer_unit: 'Coins',
region: 'EU',
platform: 'PC',
price: 999,
currency: 'EUR',
stock: 999,
min_quantity: 1,
waiting_time_value: 10,
waiting_time_unit: 'minutes',
instructions: '<string>',
image: '<string>',
active: true,
status: 'listed'
})
};
fetch('https://api.lolboost.gg/api/v1/top-ups/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"external_id": "TOPUP-EUW-1000-001",
"game": "league-of-legends",
"game_name": "League of Legends",
"service_label": "Top Ups",
"offer_key": "1000-coins",
"offer_title": "1000 Coins",
"offer_amount": 1000,
"offer_unit": "Coins",
"region": "EU",
"platform": "PC",
"price": 999,
"currency": "EUR",
"stock": 999,
"min_quantity": 1,
"waiting_time_value": 10,
"waiting_time_unit": "minutes",
"instructions": "<string>",
"image": "<string>",
"active": true,
"status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Top Ups
Update top up offer
PATCH
/
api
/
v1
/
top-ups
/
{identifier}
Update top up offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
LoLBoost ID or external_id
Example:
"seller-account-123"
Body
application/json
Example:
"TOPUP-EUW-1000-001"
Example:
"league-of-legends"
Example:
"League of Legends"
Example:
"Top Ups"
Example:
"1000-coins"
Example:
"1000 Coins"
Example:
1000
Example:
"Coins"
Example:
"EU"
Example:
"PC"
Price in cents.
Example:
999
Example:
"EUR"
Example:
999
Example:
1
Example:
10
Available options:
minutes, hours, days Example:
"minutes"
Example:
true
Available options:
draft, pending, listed, archived Example:
"listed"
Response
Success
Example:
123
Example:
"TOPUP-EUW-1000-001"
Example:
"league-of-legends"
Example:
"League of Legends"
Example:
"Top Ups"
Example:
"1000-coins"
Example:
"1000 Coins"
Example:
1000
Example:
"Coins"
Example:
"EU"
Example:
"PC"
Price in cents.
Example:
999
Example:
"EUR"
Example:
999
Example:
1
Example:
10
Available options:
minutes, hours, days Example:
"minutes"
Example:
true
Available options:
draft, pending, listed, archived Example:
"listed"
⌘I